Bug 150475 - Random Segfault, tested on multiple machines
Random Segfault, tested on multiple machines
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: webalizer (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-07 09:58 EST by VaibhaV Sharma
Modified: 2008-02-06 19:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 19:39:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
webalizer.conf that is causing webalizer to segfault (17.74 KB, text/plain)
2005-03-07 10:47 EST, VaibhaV Sharma
no flags Details

  None (edit)
Description VaibhaV Sharma 2005-03-07 09:58:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Webalizer randomly segfaults while reading the configuration file.
Found this by running it with strace -

------------

set_tid_address(0xb7fe8928)             = 5920
rt_sigaction(SIGRTMIN, {0xa073c0, [], SA_RESTORER|SA_SIGINFO,
0xa0e8d0}, NULL, 8) = 0
rt_sigaction(SIGRT_1, {0xa07430, [],
SA_RESTORER|SA_RESTART|SA_SIGINFO, 0xa0e8d0}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
getrlimit(RLIMIT_STACK, {rlim_cur=10240*1024, rlim_max=RLIM_INFINITY}) = 0
_sysctl({{CTL_KERN, KERN_VERSION}, 2, 0xbff6d0c8, 30, (nil), 0}) = 0
brk(0)                                  = 0x9234000
brk(0x9255000)                          = 0x9255000
access("webalizer.conf", F_OK)          = 0
open("webalizer.conf", O_RDONLY)        = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=18181, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb7fff000
read(3, "#\n# Sample Webalizer configurati"..., 4096) = 4096
read(3, "to the URL table items.  This al"..., 4096) = 4096
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++

------------


First I thought this was a memory related problem, bad ram or
something. But it segfaults at the *same* line when run on multiple
machines.

Tried running it through gdb -

---------------

[vsharma@dalfry webalizer]$ gdb --args webalizer -d  -c webalizer.conf
GNU gdb Red Hat Linux (6.1post-1.20040607.43rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "i386-redhat-linux-gnu"...(no debugging
symbols found)...Using host libthread_db library
"/lib/tls/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/webalizer -d -c webalizer.conf
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...[Thread debugging using libthread_db enabled]
[New Thread -1208055584 (LWP 5926)]
(no debugging symbols found)...(no debugging symbols found)...
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208055584 (LWP 5926)]
0x008139fa in fgets () from /lib/tls/libc.so.6
(gdb) backtrace
#0  0x008139fa in fgets () from /lib/tls/libc.so.6
#1  0x08049d06 in ?? ()
#2  0xbff5d830 in ?? ()
#3  0x00001000 in ?? ()
#4  0x00ac5060 in ?? ()
#5  0x00000000 in ?? ()
(gdb)

---------------


Version-Release number of selected component (if applicable):
webalizer-2.01_10

How reproducible:
Always

Steps to Reproduce:
1. Run webalizer by specifying your own config file location
2.
3.
    

Actual Results:  Runs sometimes but segfaults most of the time.

Expected Results:  It should run without segfaulting and generate the
appropriate log statistics.

Additional info:

Also, noticed that my log files were zeroed a few days back. The only
process running on the files is webalizer. Dont know if webalizer
zeroed them or it was something else. But Webalizer definitely has
some problems.
Comment 1 Joe Orton 2005-03-07 10:38:42 EST
Can you attach the config file you've used to reproduce this; does it
work with the stock webalizer.conf?
Comment 2 VaibhaV Sharma 2005-03-07 10:47:09 EST
Created attachment 111742 [details]
webalizer.conf that is causing webalizer to segfault
Comment 3 VaibhaV Sharma 2005-03-07 10:48:35 EST
It does not seem to segfault with the standard config file. It
segfaults only with custom config files that most specifically this
one. There is nothing out of the ordinary in this config file too
because this is a modified copy of the sample .conf.
Comment 4 Matthew Miller 2006-07-10 18:13:18 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 petrosyan 2008-02-06 19:39:50 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.